## GogTrendLine

GogTrendLine

## Synopsis

                        GogTrendLine;
                        GogTrendLineType;
    GogTrendLine *      gog_trend_line_new_by_name          (char const *id);
    GogTrendLine *      gog_trend_line_new_by_type          (GogTrendLineType const *type);
    GHashTable const *  gog_trend_line_types                (void);

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogTrendLine
                         +----GogRegCurve
                         +----GogSmoothedCurve

## Implemented Interfaces

GogTrendLine implements GOStyledObject.

## Description

## Details

### GogTrendLine

    typedef struct _GogTrendLine GogTrendLine;

### GogTrendLineType

    typedef struct {
    	char *engine;

    	char *name;
    	char *description; /* untranslated */

    	GHashTable *properties;
    } GogTrendLineType;

### gog_trend_line_new_by_name ()

    GogTrendLine *      gog_trend_line_new_by_name          (char const *id);

`id` : |
Returns : |

### gog_trend_line_new_by_type ()

    GogTrendLine *      gog_trend_line_new_by_type          (GogTrendLineType const *type);

`type` : |
Returns : |

### gog_trend_line_types ()

    GHashTable const *  gog_trend_line_types                (void);

Returns : |